<?php
namespace BW\BwPhplivepacker;

# bw_phpLivePacker
#
# (c) 2014 Christian Bartl (phplivepacker.bartlweb.net)
#
# This extension is part of the phpLivePacker open source project.
# The phpLivePacker project is licensed under the GNU General Public License.
#
# This notice must appear in all copies of the script.
# **********************************************************************************************


//require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('bw_phplivepacker').'Classes/BwPhplivepacker.php');

class ClearCacheHook implements \TYPO3\CMS\Backend\Toolbar\ClearCacheActionsHookInterface {

  public function manipulateCacheActions(&$cacheActions, &$optionValues) {
    if($GLOBALS['BE_USER']->isAdmin() || $GLOBALS['BE_USER']->getTSConfigVal('options.clearCache.phplivepacker')) {
    $title = $GLOBALS['LANG']->sL('LLL:EXT:bw_phplivepacker/locallang.xml:clearCacheMenu', true);
	
      $cacheActions[] = array(
        'id'    => 'bw_phplivepacker',
        'title' => $title,
        'href' => 'ajax.php?ajaxID=BwPhplivepacker::clearCache',
		'icon'  => \TYPO3\CMS\Backend\Utility\IconUtility::getSpriteIcon('extensions-bw_phplivepacker-cacheicon')
      );
    }
  }
}
?>
